- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes | Protected Member Functions

# FbxContainer Class Reference

Search for all occurrences

## Detailed Description

Generic container for object grouping and encapsulation.

Definition at line 28 of file fbxcontainer.h.

`#include <fbxcontainer.h>`

Inheritance diagram for FbxContainer:
[legend]

List of all members.

## Public Attributes
FbxContainerTemplate * | mContainerTemplate
## Protected Member Functions
| FbxContainer (FbxManager &pManager, char const *pName)
virtual bool | ConstructProperties (bool pForceSet)
## Container dynamic attributes
FbxProperty | CreateProperty (FbxString pName, FbxDataType &pType, FbxString pLabel)
| Create a new property.
## Public and fast access Properties
FbxPropertyT< FbxString > | TemplateName
| This property contains the template name information of the container.
FbxPropertyT< FbxString > | TemplatePath
| This property contains the template path information of the container.
FbxPropertyT< FbxString > | TemplateVersion
| This property contains the template version information of the container.
FbxPropertyT< FbxString > | ViewName
| This property contains the view name information of the container.

## Constructor & Destructor Documentation

FbxContainer | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

FbxProperty CreateProperty | ( | FbxString | pName,
|  | FbxDataType & | pType,
|  | FbxString | pLabel
| ) |  |

Search for all occurrences

Create a new property.

Parameters:

  pName | Name of the property
  pType | Type of the property
  pLabel | Label of the property

Returns:
  the newly created property

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Member Data Documentation

FbxPropertyT<FbxString> TemplateName

Search for all occurrences

This property contains the template name information of the container.

To access this property do: TemplateName.Get(). To set this property do: TemplateName.Set(FbxString).

Default value is "".

Definition at line 59 of file fbxcontainer.h.

FbxPropertyT<FbxString> TemplatePath

Search for all occurrences

This property contains the template path information of the container.

To access this property do: TemplatePath.Get(). To set this property do: TemplatePath.Set(FbxString).

Default value is "".

Definition at line 68 of file fbxcontainer.h.

FbxPropertyT<FbxString> TemplateVersion

Search for all occurrences

This property contains the template version information of the container.

To access this property do: TemplateVersion.Get(). To set this property do: TemplateVersion.Set(FbxString).

Default value is "".

Definition at line 77 of file fbxcontainer.h.

FbxPropertyT<FbxString> ViewName

Search for all occurrences

This property contains the view name information of the container.

To access this property do: ViewName.Get(). To set this property do: ViewName.Set(FbxString).

Default value is "".

Definition at line 86 of file fbxcontainer.h.

FbxContainerTemplate* mContainerTemplate

Search for all occurrences

Definition at line 101 of file fbxcontainer.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/fbxcontainer.h

FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer
FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer FbxContainer